Get Details of Specific Deposit

Shows granular detail about a specific deposit.

As deposits may sometimes have the same batch id, be sure to use batchId, startDate, and endDate when making your query. You may also want to specify a timezone since Stax defaults to UTC time if no timezone is specified. For example, a query for the first of the previous example's batches would look like this: {apiUrl}/depositDetail?batchId=00001&startDate=2024-01-01%2000%3A00%3A00&endDate=2024-01-01%2023%3A59%3A59, where we are searching for the deposit with batchId=00001, startDate=2024-01-01 00:00:00, and endDate=2024-01-01 23:59:59. You may also want to specify a timezone since Stax defaults to UTC time if no timezone is specified. Stax supports US time zones. If a non-US time zone is needed, it is recommended to use the timeZoneOffset parameter to designate a numeric offset value from UTC (-4, 1, etc.). If a timezone is specified, the resulting timestamp data, such as the created_at date will also be in the given timezone.

NOTE: The availability of the auth_id as a part of the response may vary depending on your account's configuration. If you plan to use this resource, please reach out to your Account Manager to ensure your account will allow for this capability.

Query Params
string
required

(YYYY-MM-DD) No results before this date will be returned

string
required

(YYYY-MM-DD) No results after this date will be returned

string

The id of the batch you are querying

string
enum
Defaults to UTC

Stax supports US timezones only. Defaults to UTC

int32

Numeric offset value from UTC time (-4, 1, etc.)

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json